Replay VisionList scanners

List scanners

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "location_id": "example_string",
      "name": "John Doe",
      "type": "monitor",
      "prompt": "example_string",
      "config": {},
      "filters": {},
      "sampling_rate": 3.14,
      "model": "example_string",
      "monthly_scan_limit": 42,
      "enabled": true,
      "version": 42,
      "last_swept_at": "2024-12-25T10:00:00Z",
      "last_error": "example_string",
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/client/v1/replay-vision/scanners
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.

Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.
query
location_idstring

Only this client's scanners.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.

Query Parameters

location_idstring

Only this client's scanners.

Responses

successboolean
dataarray